<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8">
    <title>Meta</title>
  </head>
  <body>
    <section>
      <h1>Server system informations</h1>
      <?php
      date_default_timezone_set('UTC');
      ?>
      Architecture: <samp><?= htmlspecialchars(php_uname("m")) ?></samp><br>
      Distribution: <samp><?php echo htmlspecialchars(shell_exec("/usr/bin/lsb_release -si")); ?></samp><br>
      Distribution version: <samp><?php echo htmlspecialchars(shell_exec("/usr/bin/lsb_release -sr")); ?></samp><br>
      Distribution version codename: <samp><?php echo htmlspecialchars(shell_exec("/usr/bin/lsb_release -sc")); ?></samp><br>
      Distribution description: <samp><?php echo htmlspecialchars(shell_exec("/usr/bin/lsb_release -sd")); ?></samp><br>
      Kernel: <samp><?= htmlspecialchars(php_uname("s")) ?></samp><br>
      Kernel version: <samp><?= htmlspecialchars(php_uname("r")) ?></samp><br>
      Nginx version: <samp><?= htmlspecialchars($_SERVER['NGINX_VERSION']) ?></samp><br>
      PHP version: <samp><?= htmlspecialchars(phpversion()) ?></samp><br>
      Connection ID since Nginx startup: <samp><?= htmlspecialchars($_SERVER['CONNECTION']) ?></samp><br>
      Requests in this connection: <samp><?= htmlspecialchars($_SERVER['CONNECTION_REQUESTS']) ?></samp><br>
      <?php
      $time = explode(".", $_SERVER['REQUEST_TIME_FLOAT']);
      ?>
      Unix time: <samp title="Number of seconds since January 1 1970 00:00:00.0000 UTC"><?= htmlspecialchars($_SERVER['REQUEST_TIME_FLOAT']) ?></samp> (<span title="year-month-day hour:minute:second.decimal"><?= date("Y-m-d H:i:s", $time[0]) . "." .  $time[1] ?></span> UTC)<br>
    </section>
  </body>
</html>
